package app;

import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.cloud.XCloudHuaweiCseGatewayFeature;

/**
 * 网关模块启动程序
 *
 * @author ZWT
 * @date 2023/11/29
 */
public class DeployPpsGatewayApplication {
    public static void main(String... args) {
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22068).naming("pps-gateway-service"));
        startup.enable(XCloudHuaweiCseGatewayFeature.class);
        startup.run(args);
    }
}
